# This file created by conda-build 26.3.0
# meta.yaml template originally from:
# /home/task_178117781814753/sqlite-feedstock/recipe, last modified Thu Jun 11 14:02:38 2026
# ------------------------------------------------

package:
  name: sqlite
  version: 3.53.2
source:
  url: https://www.sqlite.org/2026/sqlite-autoconf-3530200.tar.gz
  sha256: 588ad51949419a56ebe81fe56193d510c559eb94c9a57748387860b5d3069316
  patches: null
build:
  number: '0'
  string: h795bf6d_0
  run_exports:
    - sqlite >=3.53.2,<4.0a0
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 52_gnu
    - binutils_impl_linux-64 2.44 h78f17ca_3
    - binutils_linux-64 2.44 hc03a8fd_3
    - gcc_impl_linux-64 14.3.0 h4943218_4
    - gcc_linux-64 14.3.0 hda73cce_14
    - kernel-headers_linux-64 4.18.0 h3108a97_1
    - ld_impl_linux-64 2.44 h9e0c5a2_3
    - libgcc 15.2.0 h69a1729_8
    - libgcc-devel_linux-64 14.3.0 he7458c1_104
    - libgcc-ng 15.2.0 h166f726_8
    - libgomp 15.2.0 h4751f2c_8
    - libsanitizer 14.3.0 hd4faa28_4
    - libstdcxx 15.2.0 h39759b7_8
    - make 4.2.1 h1bed415_1
    - sysroot_linux-64 2.28 h3108a97_1
    - tzdata 2026b he532380_0
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 52_gnu
    - libgcc 15.2.0 h69a1729_8
    - libgcc-ng 15.2.0 h166f726_8
    - libzlib 1.3.2 h47b2149_0
    - ncurses 6.5 h7934f7d_0
    - readline 8.3 hc2a1206_0
    - zlib 1.3.2 h47b2149_0
  run:
    - __glibc >=2.28,<3.0.a0
    - libgcc >=14
    - libzlib >=1.3.2,<2.0a0
    - ncurses >=6.5,<7.0a0
    - readline >=8.3,<9.0a0
    - zlib >=1.3.2,<2.0a0
test:
  requires:
    - binutils
    - python
  commands:
    - sqlite3 --version
    - python -c "import sqlite3; print(sqlite3.sqlite_version)"
    - test -f $PREFIX/bin/sqlite3
    - test -f $PREFIX/lib/libsqlite3${SHLIB_EXT}
    - test ! -f $PREFIX/lib/libsqlite3.a
    - test -f $PREFIX/include/sqlite3.h
    - test -f $PREFIX/include/sqlite3ext.h
    - test -f $PREFIX/lib/pkgconfig/sqlite3.pc
    - readelf -d $PREFIX/lib/libsqlite3${SHLIB_EXT} | grep SONAME
about:
  home: https://www.sqlite.org
  license: blessing
  license_file: LICENSE.md
  license_family: Other
  summary: Implements a self-contained, zero-configuration, SQL database engine
  description: 'SQLite is a self-contained, high-reliability, embedded, full-featured,

    public-domain, SQL database engine. It is the most used database engine

    in the world.

    '
  doc_url: https://www.sqlite.org/docs.html
  dev_url: https://sqlite.org/src/dir?ci=trunk
extra:
  recipe-maintainers:
    - jakirkham
    - jjhelmus
    - mingwandroid
    - msarahan
    - ocefpaf
    - snorfalorpagus
    - xylar
  final: true
  copy_test_source_files: true
  remote_url: https://github.com/AnacondaRecipes/sqlite-feedstock
  sha: 5237e24164d64bd3ac4c038f6bea877e013632ff
  task_id: fwRVlp98QTeodl4AiKTdeg
  task_run_id: '0'
  pbp_graph_uuid: 5bab014d-ed3c-447a-8d52-cd280812a36a
